.TH bcopy() "" "" "String Function (libc)"
.PC "Berkeley function to copy memory"
\fBvoid bcopy(\fIsource\^\fB, \fIdestination\^\fB, \fIamount\^\fB)\fR
\fBchar *\fIsource\^\fB, *\fIdestination\^\fB;\fR
\fBint \fIsize\^\fB;\fR
.PP
Function
.B bcopy()
copies
.I size
bytes of data from address
.I source
to address
.IR destination .
.I destination
must point to enough allocated memory to hold
.I size
bytes of data, or problems will result.
.SH "See Also"
.Xr libc, libc
.Xr memcpy(), memcpy
.SH Notes
Please note the arguments of
.B bcopy()
are the opposite of those used by
.BR memcpy() .
This function is included solely for compatibility with existing code;
users are encouraged to use the standard function
.B memcpy()
instead.
